Loading...
Searching...
No Matches
RDKit::atomicData Class Reference

`#include <atomic_data.h>`

## Public Member Functions

| atomicData (const std::string &dataLine)
| ~atomicData ()=default
int | AtomicNum () const
int | DefaultValence () const
int | NumValence () const
const INT_VECT & | ValenceList () const
double | Mass () const
std::string | Symbol () const
std::string | Name () const
double | Rcov () const
double | Rb0 () const
double | Rvdw () const
int | NumOuterShellElec () const
int | MostCommonIsotope () const
double | MostCommonIsotopeMass () const
unsigned int | Row () const

## Public Attributes

std::map< unsigned int, std::pair< double, double > > | d_isotopeInfoMap

## Detailed Description

Definition at line 32 of file atomic_data.h.

## Constructor & Destructor Documentation

## atomicData()

RDKit::atomicData::atomicData | ( | const std::string & | dataLine | ) |

## ~atomicData()

RDKit::atomicData::~atomicData | ( |  | ) |

default

## Member Function Documentation

## AtomicNum()

int RDKit::atomicData::AtomicNum | ( |  | ) | const

inline

Definition at line 37 of file atomic_data.h.

## DefaultValence()

int RDKit::atomicData::DefaultValence | ( |  | ) | const

inline

Definition at line 39 of file atomic_data.h.

## Mass()

double RDKit::atomicData::Mass | ( |  | ) | const

inline

Definition at line 45 of file atomic_data.h.

## MostCommonIsotope()

int RDKit::atomicData::MostCommonIsotope | ( |  | ) | const

inline

Definition at line 59 of file atomic_data.h.

## MostCommonIsotopeMass()

double RDKit::atomicData::MostCommonIsotopeMass | ( |  | ) | const

inline

Definition at line 61 of file atomic_data.h.

## Name()

std::string RDKit::atomicData::Name | ( |  | ) | const

inline

Definition at line 49 of file atomic_data.h.

## NumOuterShellElec()

int RDKit::atomicData::NumOuterShellElec | ( |  | ) | const

inline

Definition at line 57 of file atomic_data.h.

## NumValence()

int RDKit::atomicData::NumValence | ( |  | ) | const

inline

Definition at line 41 of file atomic_data.h.

## Rb0()

double RDKit::atomicData::Rb0 | ( |  | ) | const

inline

Definition at line 53 of file atomic_data.h.

## Rcov()

double RDKit::atomicData::Rcov | ( |  | ) | const

inline

Definition at line 51 of file atomic_data.h.

## Row()

unsigned int RDKit::atomicData::Row | ( |  | ) | const

inline

Definition at line 63 of file atomic_data.h.

## Rvdw()

double RDKit::atomicData::Rvdw | ( |  | ) | const

inline

Definition at line 55 of file atomic_data.h.

## Symbol()

std::string RDKit::atomicData::Symbol | ( |  | ) | const

inline

Definition at line 47 of file atomic_data.h.

## ValenceList()

const INT_VECT & RDKit::atomicData::ValenceList | ( |  | ) | const

inline

Definition at line 43 of file atomic_data.h.

## Member Data Documentation

## d_isotopeInfoMap

std::map<unsigned int, std::pair<double, double> > RDKit::atomicData::d_isotopeInfoMap

Definition at line 66 of file atomic_data.h.

The documentation for this class was generated from the following file:

- atomic_data.h